package com.yutou.nas.utils;

import java.text.SimpleDateFormat;
import java.util.Date;

import static com.yutou.nas.utils.RedisTools.processOut;

public class AppTools {
    public static String getToDayNowTimeToString() {
        return new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date());
    }

    public static void exec(String exec) {
        try {
            Process process;
            if (AppTools.isRuntimeSystemOfWindow()) {
                process = Runtime.getRuntime().exec(new String[]{
                                "cmd",
                                "/c",
                                exec
                        }
                );
            } else {
                process = Runtime.getRuntime().exec(new String[]{
                                "sh",
                                "-c",
                                exec
                        }
                );
            }
            processOut(process.getInputStream());
            processOut(process.getErrorStream());
            process.destroy();
        }catch (Exception e){
            e.printStackTrace();
        }
    }

    public static boolean isRuntimeSystemOfWindow() {
        return System.getProperty("os.name").contains("Windows");
    }
}
